## org.eclipse.emf.cdo.common.util
Class CDOQueryQueue<E>

    java.lang.Object
      org.eclipse.emf.cdo.common.util.CDOQueryQueue<E>

All Implemented Interfaces:
  java.lang.Iterable<E>, java.util.Collection<E>, java.util.Queue<E>, org.eclipse.net4j.util.collection.Closeable

    public class CDOQueryQueue<E>

extends java.lang.Object
implements java.util.Queue<E>, org.eclipse.net4j.util.collection.Closeable

Since:
  2.0

Nested Class Summary
`class` `CDOQueryQueue.BlockingCloseableIteratorImpl`

Constructor Summary
`CDOQueryQueue()`

Method Summary
`boolean` `add(E e)`
`boolean` `addAll(java.util.Collection c)`
`void` `clear()`
`void` `close()`
`java.util.Comparator` `comparator()`
`boolean` `contains(java.lang.Object o)`
`boolean` `containsAll(java.util.Collection c)`
`int` `drainTo(java.util.Collection c)`
`int` `drainTo(java.util.Collection c, int maxElements)`
`E` `element()`
`boolean` `equals(java.lang.Object obj)`
`int` `hashCode()`
`boolean` `isClosed()`
`boolean` `isEmpty()`
`BlockingCloseableIterator<E>` `iterator()`
`boolean` `offer(E e)`
`boolean` `offer(E e, long timeout, java.util.concurrent.TimeUnit unit)`
`E` `peek()`
`E` `poll()`
`E` `poll(long timeout, java.util.concurrent.TimeUnit unit)`
`void` `put(E e)`
`int` `remainingCapacity()`
`E` `remove()`
`boolean` `remove(java.lang.Object o)`
`boolean` `removeAll(java.util.Collection c)`
`boolean` `retainAll(java.util.Collection c)`
`void` `setException(java.lang.Throwable exception)`
`int` `size()`
`E` `take()`
`java.lang.Object[]` `toArray()`
`java.lang.Object[]` `toArray(java.lang.Object[] a)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CDOQueryQueue

    public CDOQueryQueue()

Method Detail

### setException

    public void setException(java.lang.Throwable exception)

### close

    public void close()

  Specified by:
    `close` in interface `org.eclipse.net4j.util.collection.Closeable`

### isClosed

    public boolean isClosed()

  Specified by:
    `isClosed` in interface `org.eclipse.net4j.util.collection.Closeable`

### add

    public boolean add(E e)

  Specified by:
    `add` in interface `java.util.Collection<E>`

### addAll

    public boolean addAll(java.util.Collection c)

  Specified by:
    `addAll` in interface `java.util.Collection<E>`

### clear

    public void clear()

  Specified by:
    `clear` in interface `java.util.Collection<E>`

### comparator

    public java.util.Comparator comparator()

### contains

    public boolean contains(java.lang.Object o)

  Specified by:
    `contains` in interface `java.util.Collection<E>`

### containsAll

    public boolean containsAll(java.util.Collection c)

  Specified by:
    `containsAll` in interface `java.util.Collection<E>`

### drainTo

    public int drainTo(java.util.Collection c,
                       int maxElements)

### drainTo

    public int drainTo(java.util.Collection c)

### element

    public E element()

  Specified by:
    `element` in interface `java.util.Queue<E>`

### equals

    public boolean equals(java.lang.Object obj)

  Specified by:
    `equals` in interface `java.util.Collection<E>`
  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `java.util.Collection<E>`
  Overrides:
    `hashCode` in class `java.lang.Object`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `java.util.Collection<E>`

### iterator

    public BlockingCloseableIterator<E> iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable<E>`
  Specified by:
    `iterator` in interface `java.util.Collection<E>`

### offer

    public boolean offer(E e,
                         long timeout,
                         java.util.concurrent.TimeUnit unit)

### offer

    public boolean offer(E e)

  Specified by:
    `offer` in interface `java.util.Queue<E>`

### peek

    public E peek()

  Specified by:
    `peek` in interface `java.util.Queue<E>`

### poll

    public E poll(long timeout,
                  java.util.concurrent.TimeUnit unit)
           throws java.lang.InterruptedException

  Throws:
    `java.lang.InterruptedException`

### put

    public void put(E e)

### remainingCapacity

    public int remainingCapacity()

### remove

    public E remove()

  Specified by:
    `remove` in interface `java.util.Queue<E>`

### remove

    public boolean remove(java.lang.Object o)

  Specified by:
    `remove` in interface `java.util.Collection<E>`

### removeAll

    public boolean removeAll(java.util.Collection c)

  Specified by:
    `removeAll` in interface `java.util.Collection<E>`

### retainAll

    public boolean retainAll(java.util.Collection c)

  Specified by:
    `retainAll` in interface `java.util.Collection<E>`

### size

    public int size()

  Specified by:
    `size` in interface `java.util.Collection<E>`

### take

    public E take()
           throws java.lang.InterruptedException

  Throws:
    `java.lang.InterruptedException`

### toArray

    public java.lang.Object[] toArray()

  Specified by:
    `toArray` in interface `java.util.Collection<E>`

### toArray

    public java.lang.Object[] toArray(java.lang.Object[] a)

  Specified by:
    `toArray` in interface `java.util.Collection<E>`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### poll

    public E poll()

  Specified by:
    `poll` in interface `java.util.Queue<E>`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.